=== debian/changelog ===
cppad (2019.02.00.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 Feb 2019 18:02:03 +0000
