=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

# override_dh_autoreconf:
# 	@echo "Hey debhelper, what are you doing?"
# 	@echo "THE BUILD SYSTEM IS CMAKE!!!"
# 	@echo "But maybe you do not care, maybe you just like to watch the world burn."
# 	dh_autoreconf

override_dh_auto_install:
	dh_auto_install
	@echo "File cppad.pc should be installed only once, in the right place."
	@echo "See lintian-info -t pkg-config-unavailable-for-cross-compilation"
	if [ -e debian/cppad/usr/share/pkgconfig/cppad.pc \
	     -a -e debian/cppad/usr/lib/pkgconfig/cppad.pc ]; then \
	  rm --verbose debian/cppad/usr/lib/pkgconfig/cppad.pc; \
	  rmdir --ignore-fail-on-non-empty --verbose debian/cppad/usr/lib/pkgconfig; \
	  rmdir --ignore-fail-on-non-empty --verbose debian/cppad/usr/lib; \
	fi;
