=== debian/changelog ===
cppad (2019.02.00.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 Apr 2019 15:43:13 +0100
