## cppad 2019.02.00.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -----------------------------------------------------------------------------
-# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-18 Bradley M. Bell
+# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-19 Bradley M. Bell
 #
 # CppAD is distributed under the terms of the
 #              Eclipse Public License Version 2.0.
@@ -25,7 +25,7 @@
 endif()
 #
 # cppad_version is used by version.sh to get the version number.
-SET(cppad_version "20190200.2")
+SET(cppad_version "20190200.3")
 SET(cppad_url          "http://www.coin-or.org/CppAD" )
 SET(cppad_description  "Differentiation of C++ Algorithms" )
 #
