=== debian/changelog ===
cppad (2019.02.00.3-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2019 20:52:08 +0100
