=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Miles Lubin <miles.lubin@gmail.com>,
            Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libboost-dev
+Build-Depends: debhelper-compat (= 12), cmake, libboost-dev
 Standards-Version: 4.3.0
 Homepage: https://projects.coin-or.org/CppAD/
 Vcs-Git: https://salsa.debian.org/science-team/cppad.git
