## cppad 2019.02.00.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif()
 #
 # cppad_version is used by version.sh to get the version number.
-SET(cppad_version "20190200.3")
+SET(cppad_version "20190200.4")
 SET(cppad_url          "http://www.coin-or.org/CppAD" )
 SET(cppad_description  "Differentiation of C++ Algorithms" )
 #
