=== debian/changelog ===
cppad (2019.02.00.4-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 09 Aug 2019 13:16:13 +0200
